PDA

Afficher la version complète : Problème d'installation de Vegastrike



k-nine
07/03/2005, 00h45
Bonjour, j'ai commencé une install de Vegastrike mais quand je tape ./configure j'ai le message d'erreur suivant à la fin:

checking for python... configure: error: *** Python version 2.2 or later not found!
et pourtant le rpm python est bien installé sur mon système !!!
que puis-je faire ?

k-nine
08/03/2005, 19h42
personne pour m'aider ??????????????????? http://www.alionet.org/style_emoticons/<#EMO_DIR#>/ohmy.gif

Sirius
08/03/2005, 20h14
Installe les -devel de python... ou donne à ./configure le chemin de python (tape ./configure --help )

k-nine
09/03/2005, 00h03
je pense avoir réglé le problème pour python mais j'ai encore des erreurs !

<div class='quotetop'>Citation </div>
/usr/lib/libpython2.3.so no
/usr/local/lib/libpython2.3.so no
/sw/lib/python2.3/config/libpython2.3.so no
/usr/lib/python2.3/libpython2.3.so no
/usr/lib/python2.3/config/libpython2.3.a yes
checking for sdl-config... no
checking for SDL - version >= 1.0.1... no
*** The sdl-config script installed by SDL could not be found
*** If SDL was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the SDL_CONFIG environment variable to the
*** full path to sdl-config.
*** SDL not found. Configuring without audio or joystick support.
checking for GL library... yes
checking for glXGetProcAddressARB... yes
checking for GLU library... no
checking for GLU library (with pthreads)... no
checking for MesaGLU library... no
checking for MesaGLU library (with pthreads)... no
checking for openglu32 library... no
checking for openglu32 library (with pthreads)... no
*** Hmm, you don't seem to have OpenGLU libraries installed in the standard
*** location (/usr/lib). I'll check in /usr/X11R6/lib, since
*** many distributions (incorrectly) put OpenGLU libs there.
checking for GLU library... no
checking for GLU library (with pthreads)... no
checking for MesaGLU library... no
checking for MesaGLU library (with pthreads)... no
checking for openglu32 library... no
checking for openglu32 library (with pthreads)... no
configure: error: Cannot find GLU library[/b]

Je ne comprends pas ce qui se apsse avec SDL http://www.alionet.org/style_emoticons/<#EMO_DIR#>/ohmy.gif

k-nine
10/03/2005, 20h55
Quelqu'un aurait une solution ???

alexmic
12/03/2005, 21h49
L'install a l'air de s'en sortir avec SDL mais tu n'auras ni son ni joystick.

Pour l'erreur essaie d'installer freeglut et freeglut devel, et xorg-x11-mesa.

k-nine
13/03/2005, 18h29
j'ai fait ce que tu m'as dit mais j'ai encore une erreur :
<div class='quotetop'>Citation </div>
checking for glut32 library... no
checking for glut library... no
configure: error: GLUT library not found or too old version. 3.7 (beta) or later required.[/b]

et il y a un moyen d'avoir du son ?

Sirius
14/03/2005, 16h24
Quand tu compiles quelque chose, tu dois avoir les packages -devel de ce dont tu as besoin installé ! Donc il faut que tu installes tous ce qui a un rapport avec GLUT !

k-nine
14/03/2005, 21h40
justement je connais pas trop les packages qui ont avoir avec GLUT. j'ai juste freeglut et freeglut-devel que je connais... ça devrait reconnaitre les lib de GLUT normalment non ?

alexmic
15/03/2005, 14h58
AMHA c'est plutot une question de version...
Tu as quelle version de freeglut?
Sinon tu regardes dans yast (intaller des logiciels) tu coches la case fournit et tu inscris Glut.
Tu vera ce q'uil te sors...


Pour le Son il faut SDL... Quand je dis qu'il s'en sort, il ne le trouve pas mais s'en accomode en coupant le son

Doctor Who
02/09/2008, 19h55
Salut,

Vieux sujet .... j'ai réussi à installer le jeu sans soucis mais les commandes et le mode de jeu demande BAC+23 ... la question est idiote mais comment on désinstalle ce jeu ? Il n'apparait pas dans la liste des choses installé (je n'ai pas trouvé de choses toute faites, je l'ai installé en ligne de commande sans pouvoir passer par Yast)

Merci d'avance pour votre aide :)

xiloa
02/09/2008, 20h02
salut
en fait, ya un piège, je crois que l'installation est plus facile qu'il n'y parait.
je regarde ..

Pumpkin
02/09/2008, 20h51
Il n'y a pas un script uninstall dans le dossier vegastrike ?
Si pas, du delete le dossier.

Doctor Who
03/09/2008, 15h36
J'ai bien une commande d'installation mais en aucun cas un script d'uninstall et je me demandait si l'effacement du dossier + dossier caché dans mon home suffirait à faire cela proprement ...

L'installation n'est pas très compliqué en fin de compte c'est juste que je ne dois pas être fait pour ce jeu qui me semble absolument injouable ... dommage le principe à la Elite me plaisait temps ...

Pumpkin
03/09/2008, 16h55
<div class='quotetop'>Citation </div>
je me demandait si l'effacement du dossier + dossier caché dans mon home suffirait à faire cela proprement ...[/b]Oui, il n'installe rien en dehors de ce dossier.

Doctor Who
03/09/2008, 19h34
Ok merci c'est fait :)